/*registartion update starts here*/


#register-page #main-section .reg-head.secton-heading h2 {
    font-size: 30px;
    line-height: 36px;
    margin-top: 0;
    /* margin-bottom: 40px; */

}

#reg-form {
    max-width: 990px;
    margin: 40px auto 138px;

}

#register-page .reg-head.secton-heading :after {
    display: block;
    width: 100%;
    height: 6px;
    background-color: #250E62;
    content: "";
    margin-top: 16px;
    border-radius: 0 8px 0 0;
}

#register-page .az-text .first-txt {
    font-size: 18px;
    font-weight: 700;
    line-height: 22px;

}

#register-page .az-text .second-txt {
    font-size: 16px;
    font-weight: 400;
    line-height: 22px;
    margin-top: 16px;

}

#register-page .az-text {
    margin-top: 40px;
    margin-bottom: 30px;
}

/* form code starts here */
#register-page .truqap-reg-form .cmp-dynamicform__control-label,
#register-page .cmp-dynamicform-v2 .cmp-dynamicform__generated-form .text-danger {
    color: #250E62;
    font: 700 18px/22px 'Sora', sans-serif;


}

#register-page .truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form .form-control {
    margin-top: 8px;
    border: 1px solid #250E62;
    padding: 10px 16px;
    border-radius: 10px;
    max-width: 307px;
    width: 100%;
    height: auto;
    font: 400 18px/22px 'Sora', sans-serif;
    color: #250E62;

}

#register-page .truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form {
    padding: 0;
}
#register-page .truqap-reg-form .cmp-dynamicform__control-label span.text-danger {
    /* margin-left: -4px; */
    display: none;
}
#register-page .truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form .cmp-dynamicform__form-group button[type="submit"]::before {
    content: "Submit";
    font: 700 18px/22px 'Sora', sans-serif;
    text-align: center;
}

#register-page .truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form .cmp-dynamicform__form-group button[type="submit"] span {
    display: none;
}

/* #register-page .cmp-dynamicform-v2 .cmp-dynamicform__generated-form .button-group::before {
    content: "By registering for this website, you will sign up for the latest news, resources, and educational materials from AstraZeneca, the makers of TRUQAP.";
    margin-top: 32px;
    margin-bottom: 16px;
    color: #250E62 !important;
    font: 400 18px/22px 'Sora', sans-serif;

} */

#register-page .cmp-dynamicform-v2 .cmp-dynamicform__generated-form .cmp-dynamicform__form-group {
    margin-bottom: 32px;
}

/* #register-page .cmp-dynamicform-v2 .cmp-dynamicform__generated-form .button-group::after{
    content: "AstraZeneca is committed to helping healthcare professionals provide appropriate care for their patients. Please provide us with the above information so that we can keep your records up to date and can send you any information that you request. If you no longer want to recieve health-related materials, please call 1-800-236-9933. Please visit www.azprivacynotice.com to review our Privacy Notice.";
  } */

#register-page .cmp-dynamicform-v2 .cmp-dynamicform__generated-form .button-group {
    margin-top: 32px;
    margin-bottom: 16px;
}

#register-page .truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form .cmp-dynamicform__form-group button[type="submit"] {
    display: flex;
    justify-content: center;
    margin-top: 32px;
    max-width: 246px;
    border-radius: 25px;
    background-color: #250E62;
    color: #ffffff;
    padding: 14px 10px;
    cursor: pointer;
    width: 100%;
    /* display: inline-block; */

}

#register-page .truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form .cmp-dynamicform__form-group button[type="submit"][disabled="true"] {

    background-color: #919191;
    color: #ffffff;
    cursor: not-allowed;
    /* pointer-events: none; */
}

/* #register-page .truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form .cmp-dynamicform__form-group button[type="submit"][disabled="false"]{
    background-color: #919191;
    color: #ffffff;
} */
#register-page .truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form .cmp-dynamicform__form-group button[type="reset"] {
    display: none;
}

#register-page .truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form .cmp-dynamicform__form-group button [disabled] {
    background-color: #919191;
    cursor: not-allowed;
}

#register-page:has(.cmp-dynamicform__generated-form.hidden) .text-section-register {
    display: none;
}

/* form code ends here */
/* Thankyou messgae code  starts here*/
#register-page .thankyou-page-wrapper {
    max-width: 990px;
    margin: 0px auto 138px;
}

#register-page .thankyou-page-wrapper .thankyou-frst-text {
    font: 700 24px/32px 'Sora', sans-serif;
    margin-bottom: 16px;

}

#register-page .thankyou-page-wrapper .sub-head-thankyou {
    font: 400 18px/22px 'Sora', sans-serif;
}

#register-page .thankyou-page-wrapper .home-button {
    margin-top: 30px;


}

#register-page .thankyou-page-wrapper .home-button a {
    color: #ffffff;
    font: 700 18px/22px 'Sora', sans-serif;
    background-color: #250E62;
    max-width: 246px;
    padding: 14px 10px;
    border-radius: 25px;
    display: inline-block;
    text-align: center;
    width: 100%;

}



/* Thankyou message code ends here */


#register-page .truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form .has-error p.text-danger,
#register-page .truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form .has-error span.text-danger {

    color: #EB001F;
    font: 400 14px/20px 'Sora', sans-serif;
    margin-top: 8px;

}

#register-page .truqap-reg-form.cmp-dynamicform-v2 .has-error .cmp-dynamicform__form-label-container label {
    color: #EB001F;
    font-style: italic;
}

#register-page .truqap-reg-form.cmp-dynamicform-v2 .has-error .form-control:not(textarea) {
    border: 2.5px solid #EB001F;
    color: #EB001F;
}

#register-page .truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form .cmp-dynamicform__form-control-container+p {
    display: none;
}


#register-page .truqap-reg-form.cmp-dynamicform-v2 .has-error .form-control:not(textarea):focus-visible {
    border: 2.5px solid #EB001F;
}



#register-page div:has(.reg-info-sec1) .cmp-dynamicform-v2 .cmp-dynamicform__generated-form .cmp-dynamicform__form-group:has(.reg-info-sec1) {
    margin-bottom: 16px;
}

#register-page .cmp-dynamicform-v2 .cmp-dynamicform__generated-form #field-group-6806008a40ef5f0002e7dc06 {
    margin-bottom: 32px;
}

#register-page .truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form .cmp-dynamicform__form-info-section p {
    font: 400 18px/22px 'Sora', sans-serif;
    color: #250E62;
}

#register-page .truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form .cmp-dynamicform__form-info-section p.reg-info-sec2 a {
    color: #250E62;
    text-decoration: underline;

}

#register-page .cmp-dynamicform-v2 .cmp-dynamicform__generated-form .cmp-dynamicform__form-group.has-error .cmp-dynamicform__form-control-container+p {
    display: block !important;
}

#register-page #field-group-6802355330d3bc00029ea323 p {
    max-width: 320px;
}
#register-page #field-group-6802355330d3bc00029ea324 p {
    max-width: 245px;
}

.truqap-reg-form.cmp-dynamicform-v2 input:-webkit-autofill,
.truqap-reg-form.cmp-dynamicform-v2 input:-webkit-autofill:hover,
.truqap-reg-form.cmp-dynamicform-v2 input:-webkit-autofill:focus,
.truqap-reg-form.cmp-dynamicform-v2 input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 30px #FFFFFF inset !important;
    -webkit-text-fill-color: #250E62;

}


.truqap-reg-form.cmp-dynamicform-v2  .cmp-dynamicform__generated-form .cmp-dynamicform__form-group.has-error input:-webkit-autofill,
.truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form .cmp-dynamicform__form-group.has-error input:-webkit-autofill:hover,
.truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form .cmp-dynamicform__form-group.has-error input:-webkit-autofill:focus,
.truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form .cmp-dynamicform__form-group.has-error input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 30px #FFFFFF inset !important;
    -webkit-text-fill-color: #EB001F;

}



@media screen and (min-width:991px) {

    /* header code */
    body:has(.regstration-page-updated) #phase-2 #header #eyebrow-header .utility-links li.top-nav-link-item {
        margin-right: 1.86%;

    }

    body:has(.regstration-page-updated) #phase-2 #eyebrow-header div#top-navigation .utility-links ul {
        justify-content: flex-start;
        /*padding: 0 2% 0 2.3%;*/
        padding-right: 0;
        justify-content: flex-start;
    }

    body:has(.regstration-page-updated) #phase-2 #eyebrow-header div#top-navigation .utility-links ul li.top-nav-link-item.button-link.connect-rep {
        margin-right: 0;
    }

    body:has(.regstration-page-updated) #phase-2 #eyebrow-header .navigation ul.cmp-navigation__group li:nth-child(13) {
        display: none;
    }

    body:has(.regstration-page-updated) #phase-2 div#top-navigation .utility-links ul li.regstration-page-updated a:active,
    body:has(.regstration-page-updated) #phase-2 div#top-navigation .utility-links ul li.regstration-page-updated a:focus {
        font-weight: 700;
    }
    
    #register-page li.top-nav-link-item.regstration-page-updated a {
        font-weight: bold !important;
    }

    /* header code */

    /* banner code */
    #register-page #phase-2 .hero-banner-section {

        background-image: url(/content/dam/intelligentcontent/brands/truqap-hcp/us/en/phase2a/Images/registration-form/desktop/background-img.jpg);
    }

    #register-page .truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form .cmp-dynamicform__form-info-section p.reg-info-sec2 span {
        display: inline-block;
    }
    #register-page .truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form .cmp-dynamicform__form-info-section p.reg-info-sec2 a.phone-no{
display: none;
    }

}

@media screen and (max-width:991px) {
    
    #register-page a.cmp-navigation__item-link[title="Register for Updates"] {
        font-weight: bold !important;
        pointer-events: auto !important;
        text-decoration: underline;
    }
     body:has(.regstration-page-updated) #phase-2 #header .navigation-overlay.show {
  
       max-height: calc(100vh - 121px);
    }

    #register-page .register-head-banner {
        padding-right: 26%;
    }

    #reg-form {
        margin: 30px 20px 118px;
    }

    #register-page .az-text {
        margin-top: 30px;

    }

    /* Thankyou code starts here */
    #register-page .thankyou-page-wrapper {
        margin: 30px 20px 118px;
    }

    #register-page .thankyou-page-wrapper .thankyou-frst-text {
        font: 700 20px / 26px 'Sora', sans-serif;
    }

    #register-page .thankyou-page-wrapper .sub-head-thankyou {
        font: 400 16px/22px 'Sora', sans-serif;
    }

    #register-page .thankyou-page-wrapper .home-button {
        margin-top: 40px;
    }

    /* thankyou code ends here */

    /* header-code */
    body:has(.regstration-page-updated) #phase-2 #eyebrow-header nav#mobile-navigation ul.cmp-navigation__group>li:nth-child(10) {
        margin: 0;
        background-color: #E5E4F2;
        padding: 14px 0;
        max-width: 100%;
        text-align: left;
        border-bottom: 1px solid #250E62;
    }

    body:has(.regstration-page-updated) #phase-2 #eyebrow-header nav#mobile-navigation ul.cmp-navigation__group>li:nth-child(10) a {
        border: none;
        padding: 0 0 0 34px;
        line-height: 16px;
        font-size: 16px;
        font-weight: 500;
        background: transparent;
        color: #250E62;

    }

    body:has(.regstration-page-updated) #phase-2 #eyebrow-header nav#mobile-navigation ul.cmp-navigation__group>li:nth-child(10) a::after {
        display: none;
    }

    body:has(.regstration-page-updated) #phase-2 #eyebrow-header nav#mobile-navigation ul.cmp-navigation__group>li:nth-child(11) {
        margin-top: 35px;
        display: block;
    }

    body:has(.regstration-page-updated) #phase-2 #eyebrow-header nav#mobile-navigation ul.cmp-navigation__group>li:nth-child(11) a {
        padding: 8px 20px;
        border: 1px solid #250E62;
        border-radius: 30px;
        font: normal normal 600 14px / 1px Sora;
        letter-spacing: 0px;
        color: #250E62;
        background-color: white;
        line-height: 20px;
    }

    body:has(.regstration-page-updated) #phase-2 #eyebrow-header .navigation-mobile nav#mobile-navigation ul.cmp-navigation__group>li:nth-child(12) {
        display: none;
    }

    body:has(.regstration-page-updated) #phase-2 #eyebrow-header nav#mobile-navigation ul.cmp-navigation__group>li:nth-child(11) a {
        padding: 8px 20px;
        border: 1px solid #250E62;
        border-radius: 30px;
        font: normal normal 600 14px / 1px Sora;
        letter-spacing: 0px;
        color: #250E62;
        background-color: white;
        line-height: 20px;
    }

    body:has(.regstration-page-updated) #phase-2 nav#mobile-navigation ul.cmp-navigation__group>li:nth-child(10) a,

    body:has(.regstration-page-updated) #phase-2 nav#mobile-navigation ul.cmp-navigation__group>li:nth-child(11) a {
        padding: 0;
        border: 1px solid #250E62;
        border-radius: 30px;
        font: normal normal 600 14px / 1px Sora;
        letter-spacing: 0px;
        color: #250E62;
    }

    body:has(.regstration-page-updated) #phase-2 nav#mobile-navigation ul.cmp-navigation__group>li:nth-child(11) {
        margin: 11px auto 35px;
    }

    body:has(.regstration-page-updated) #phase-2 nav#mobile-navigation ul.cmp-navigation__group>li:nth-child(11) {
        border: none;
        text-align: center;
        max-width: 233px;
        /* margin: 0 auto; */
        padding: 0;
    }

    body:has(.regstration-page-updated) #phase-2 nav#mobile-navigation ul.cmp-navigation__group>li:nth-child(11) a:after {
        display: inline-block;
        content: "";
        width: 15px;
        height: 15px;
        background-position: center;
        background-size: contain;
        background-repeat: no-repeat;
        vertical-align: middle;
        margin-left: 10px;
    }

    body:has(.regstration-page-updated) #phase-2 #eyebrow-header nav#mobile-navigation ul.cmp-navigation__group>li:nth-child(11) a:after {
        background-image: url(/content/dam/intelligentcontent/brands/truqap-hcp/us/en/phase2a/Images/Global/icon_caret_right%20arrow_coral.svg);
        width: 15px;
        height: 15px;
        transform: none;
        border: none;
    }

    /* header-code */
    #register-page .truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form .cmp-dynamicform__form-info-section p.reg-info-sec2 a.phone-no {
        display: inline-block;
        text-decoration: none;
    }

    #register-page .truqap-reg-form.cmp-dynamicform-v2 .cmp-dynamicform__generated-form .cmp-dynamicform__form-info-section p {
        padding-right: 22px;
    }


    #register-page #phase-2 .hero-banner-section  .mobile-subhead.mobile-only p{
        font-weight: 600;
    }
        body:has(.regstration-page-updated)#connect-with-your-rep #phase-2 .navigation-mobile nav#mobile-navigation ul.cmp-navigation__group>li:nth-child(10):hover{
            padding: 14px 0;
        }
        body:has(.regstration-page-updated) #connect-with-your-rep #phase-2 .navigation-mobile nav#mobile-navigation ul.cmp-navigation__group>li:nth-child(11) a{
                    pointer-events: auto;
        }
        body:has(.regstration-page-updated) #phase-2 #eyebrow-header nav#mobile-navigation ul.cmp-navigation__group>li:nth-child(12):hover a {
        font-weight: 800;
    }
        body:has(.regstration-page-updated) #phase-2 div#StickyWrapper.cmp-highlightinfo {
        min-height: 225px;
    }
        body:has(.regstration-page-updated) #phase-2 div#StickyWrapper.cmp-highlightinfo[style="height: 18px;"] {
        min-height: 130px;
    }
    body:has(.regstration-page-updated) #phase-2 div#StickyWrapper.cmp-highlightinfo[style="height: 0px;"]{
        min-height: 0
    }
    body:has(.regstration-page-updated) #phase-2 nav#mobile-navigation ul.cmp-navigation__group>li:nth-child(11) {
        margin-top: 35px;
    }
body:has(.regstration-page-updated) #connect-with-your-rep #phase-2 .navigation-mobile nav#mobile-navigation ul.cmp-navigation__group>li:nth-child(10) a{
    pointer-events: auto;
}

 
}

@media screen and (max-width:370px){
    #register-page .register-head-banner {
        padding-right: 0;
    }
}
@media screen and (min-width:992px) and (max-width:1370px){
    body:has(.regstration-page-updated) #phase-2 #eyebrow-header div#top-navigation .utility-links ul {
        padding-right: 8px;
    }
    body:has(.regstration-page-updated) #phase-2 #header #eyebrow-header .utility-links li.top-nav-link-item {
               margin-right: 3.86%;
    }

}
@media screen and (min-width:992px) and (max-width:1133px){

    body:has(.regstration-page-updated) #phase-2 #header #eyebrow-header .utility-links li.top-nav-link-item {
                margin-right: 0.86%;
    }
    #reg-form{
        margin-left: 20px;
        margin-right: 20px;
    }
}
@media screen and (min-width:992px) and (max-width:1220px){
    body:has(.regstration-page-updated) #phase-2 div#isi,#reg-form{
    margin-left: 20px;
    margin-right: 20px;
}


}
@media screen and (min-width:1251px) and (max-width:1370px){
    body:has(.regstration-page-updated) #phase-2 .cmp-container[role="main"] {
        margin-top: 160px;
    }
}
@media screen and (min-width:992px) and (max-width:1250px){
    body:has(.regstration-page-updated) #phase-2 .cmp-container[role="main"] {
        margin-top: 187px;
    }
}
@media screen and (min-width:520px) and (max-width:991px){
    #register-page .register-head-banner{
        padding-right: 0;
    }
}
